metamodel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (METAMODEL-183) For Mongo DB model, use new APIs instead of old ones.
Date Sun, 10 Jan 2016 19:34:39 GMT

    [ https://issues.apache.org/jira/browse/METAMODEL-183?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15091174#comment-15091174
] 

ASF GitHub Bot commented on METAMODEL-183:
------------------------------------------

Github user kaspersorensen commented on the pull request:

    https://github.com/apache/metamodel/pull/86#issuecomment-170384037
  
    This PR has my +1 now
    
    For extra sugar on top, I did notice a few minor warnings which could be fixed before
we push this to master:
    
    ![image](https://cloud.githubusercontent.com/assets/291450/12223494/6fc5d248-b7d9-11e5-942e-df79487a639c.png)



> For Mongo DB model, use new APIs instead of old ones.
> -----------------------------------------------------
>
>                 Key: METAMODEL-183
>                 URL: https://issues.apache.org/jira/browse/METAMODEL-183
>             Project: Apache MetaModel
>          Issue Type: Improvement
>            Reporter: Hosur Narahari
>            Priority: Minor
>
> I observed that we are using old APIs of MongoDB in our metamodel project, like Mongo
instead of MongoClient, DB instead of MongoDatabase and many more. It would be better if we
replace this with new API as support for Mongo driver would be for the new one.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message